# Interface VolumeUploadCallback.UrlGenerator

Enclosing class:
  `VolumeUploadCallback`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface VolumeUploadCallback.UrlGenerator
Interface for generating presigned URLs.

## Method Summary

Modifier and Type
Method
Description
`CompletableFuture<CreateUploadUrlResponse>`
`apply(String ucVolumePath, String objectPath, int attempt)`

## Method Details

### apply

CompletableFuture<CreateUploadUrlResponse> apply(String ucVolumePath, String objectPath, int attempt)